<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.payroll.Adelantos" table="adelantos" catalog="prase">
        <id name="id" type="string">
            <column name="id" length="36" />
            <generator class="assigned"></generator>
        </id>
        <many-to-one name="employee" class="com.arrebol.taxiservicios.model.core.Person" not-null="true" fetch="select">
            <column name="employee_id" length="36" not-null="true"/>
        </many-to-one>                 
        <property name="amount" type="double" >
            <column name="amount"/>
        </property>
        <property name="comment" type="string">
            <column name="comment" length="200" />
        </property>
        <property name="active" type="java.lang.Boolean">
            <column name="active" not-null="true" sql-type="TINYINT"/>
        </property>
        <many-to-one name="createdBy" class="com.arrebol.taxiservicios.model.core.User" not-null="true" fetch="select">
            <column name="created_by" length="36" not-null="true"/>
        </many-to-one>
        <property name="createdOn" type="timestamp">
            <column length="19" name="created_on"/>
        </property>
        <many-to-one name="lastUpdatedBy" class="com.arrebol.taxiservicios.model.core.User" fetch="select">
            <column name="last_updated_by" length="36"/>
        </many-to-one>
        <property name="lastUpdatedOn" type="timestamp">
            <column length="19" name="last_updated_on" />
        </property>
        <many-to-one class="com.arrebol.taxiservicios.model.catalog.Location" fetch="select" name="location">
            <column length="36" name="id_location" not-null="false"/>
        </many-to-one>
        
    </class>
</hibernate-mapping>